var p = Object.defineProperty;
var i = (e, o) => p(e, "name", { value: o, configurable: !0 });
var I = function(e) {
  if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
  var o = e[Symbol.asyncIterator], c;
  return o ? o.call(e) : (e = typeof __values == "function" ? __values(e) : e[Symbol.iterator](), c = {}, a("next"), a("throw"), a("return"), c[Symbol.asyncIterator] = function() {
    return this;
  }, c);
  function a(t) {
    c[t] = e[t] && function(u) {
      return new Promise(function(l, f) {
        u = e[t](u), r(l, f, u.done, u.value);
      });
    };
  }
  function r(t, u, l, f) {
    Promise.resolve(f).then(function(h) {
      t({ value: h, done: l });
    }, u);
  }
}, y = function(e) {
  return this instanceof y ? (this.v = e, this) : new y(e);
}, S = function(e, o, c) {
  if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
  var a = c.apply(e, o || []), r, t = [];
  return r = {}, l("next"), l("throw"), l("return", u), r[Symbol.asyncIterator] = function() {
    return this;
  }, r;
  function u(n) {
    return function(s) {
      return Promise.resolve(s).then(n, _);
    };
  }
  function l(n, s) {
    a[n] && (r[n] = function(d) {
      return new Promise(function(w, b) {
        t.push([n, d, w, b]) > 1 || f(n, d);
      });
    }, s && (r[n] = s(r[n])));
  }
  function f(n, s) {
    try {
      h(a[n](s));
    } catch (d) {
      m(t[0][3], d);
    }
  }
  function h(n) {
    n.value instanceof y ? Promise.resolve(n.value.v).then(v, _) : m(t[0][2], n);
  }
  function v(n) {
    f("next", n);
  }
  function _(n) {
    f("throw", n);
  }
  function m(n, s) {
    n(s), t.shift(), t.length && f(t[0][0], t[0][1]);
  }
}, g = function(e) {
  var o, c;
  return o = {}, a("next"), a("throw", function(r) {
    throw r;
  }), a("return"), o[Symbol.iterator] = function() {
    return this;
  }, o;
  function a(r, t) {
    o[r] = e[r] ? function(u) {
      return (c = !c) ? { value: y(e[r](u)), done: !1 } : t ? t(u) : u;
    } : t;
  }
};
function P(e) {
  return S(this, arguments, /* @__PURE__ */ i(function* () {
    yield y(yield* g(I(e)));
  }, "createAsyncIterable_1"));
}
i(P, "createAsyncIterable");
export {
  P as createAsyncIterable
};
